@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

body
{
	font-family: "Montserrat", sans-serif;
	font-size: .9rem;
}
p
{
	font-size: .9rem;
}
.bg-color1
{
	background-color: #1e1e1e;
}
.module
{
	height: 100vh;
}
.module1
{
	height: 89vh;
}
.header-top
{
	background-color: #403d38;
	padding: 5px 0;
}
.spinner-grow
{
	display: inline-block;
	height: .5rem;
	margin: 0 2px;
	width: .5rem;
}
.fs-small
{
	font-size: .7rem;
}
.header-main
{
	background-color: #e6ecf8;
	border-bottom: 1px dashed;
	padding: 4px 0;
}
.bg-blue
{
	background-color: #141847;
	border-radius: 0px 0px 25px 25px;
}
.sec-center
{
	position: relative;
	z-index: 200;
}
.question-wrapper [type="checkbox"]:checked,
.question-wrapper [type="checkbox"]:not(:checked),
.sec-center [type="checkbox"]:checked,
.sec-center [type="checkbox"]:not(:checked)
{
	left: -9999px;
	opacity: 0;
	pointer-events: none;
	position: absolute;
}
.dark-light:checked + label,
.dark-light:not(:checked) + label
{
	border-radius: 50%;
	box-shadow: 0 0 25px rgba(255,235,167,.45);
	cursor: pointer;
	display: block;
	height: 46px;
	position: fixed;
	right: 40px;
	top: 40px;
	transition: all 200ms linear;
	width: 46px;
	z-index: 20000;
}
.dark-light:checked + label
{
	transform: rotate(360deg);
}
.dark-light:checked + label:after
{
	opacity: 1;
}
.dark-light:checked ~ .light-back
{
	opacity: 1;
}
.dropdown:checked + label,
.dropdown:not(:checked) + label
{
	font-size: .8rem;
	line-height: 0;
	position: relative;
}
.dropdown:checked + label:before,
.dropdown:not(:checked) + label:before
{
	content: '';
	cursor: auto;
	height: 100%;
	left: 0;
	pointer-events: none;
	position: fixed;
	top: 0;
	width: 100%;
	z-index: -1;
}
.dropdown:checked + label:before
{
	pointer-events: auto;
}
.dropdown:not(:checked) + label .uil
{
	font-size: 24px;
	margin-left: 10px;
	transition: transform 200ms linear;
}
.dropdown:checked + label .uil
{
	font-size: 24px;
	margin-left: 10px;
	transform: rotate(180deg);
	transition: transform 200ms linear;
}
header {
  z-index: 2;
}
.section-dropdown
{
	background-color: #fff;
	border-radius: 4px;
	box-shadow: 0 0px 3px 2px #e1e0e0;
	display: block;
	left: 0;
	opacity: 0;
	padding: 5px;
	pointer-events: none;
	position: absolute;
	top: 35px;
	transform: translateY(20px);
	transition: all 200ms linear;
	width: 100%;
	z-index: 9999999999999;
}
.dark-light:checked ~ .sec-center .section-dropdown
{
	background-color: #fff;
	box-shadow: 0 14px 35px 0 rgba(9,9,12,0.15);
}
.dropdown:checked ~ .section-dropdown
{
	opacity: 1;
	pointer-events: auto;
	transform: translateY(0);
}
.section-dropdown:before
{
	content: '';
	display: block;
	height: 20px;
	left: 0;
	position: absolute;
	top: -20px;
	width: 100%;
	z-index: 1;
}
.section-dropdown:after
{
	border-bottom: 8px solid #ffffff;
	border-left: 8px solid transparent;
	border-right: 8px solid transparent;
	content: '';
	display: block;
	height: 0;
	left: 30px;
	position: absolute;
	top: -7px;
	transition: all 200ms linear;
	width: 0;
	z-index: 2;
}
.dark-light:checked ~ .sec-center .section-dropdown:after
{
	border-bottom: 8px solid #fff;
}
/*a
{
	display: flex;
	position: relative;
	text-decoration: none;
}*/
.dropdown-sub:checked + label,
.dropdown-sub:not(:checked) + label
{
	position: relative;
}
.dropdown-sub:checked + label .uil,
.dropdown-sub:not(:checked) + label .uil
{
	font-size: 22px;
}
.dropdown-sub:not(:checked) + label .uil
{
	transition: transform 200ms linear;
}
.dropdown-sub:checked + label .uil
{
	transform: rotate(135deg);
	transition: transform 200ms linear;
}
.dropdown-sub:checked + label:hover,
.dropdown-sub:not(:checked) + label:hover
{
	background-color: #ffeba7;
	color: #102770;
}
.dark-light:checked ~ .sec-center .section-dropdown .for-dropdown-sub
{
	color: #102770;
}
.dark-light:checked ~ .sec-center .section-dropdown .for-dropdown-sub:hover
{
	background-color: #102770;
	color: #ffeba7;
}
.section-dropdown-sub
{
	display: block;
	max-height: 0;
	opacity: 0;
	overflow: hidden;
	padding-left: 10px;
	padding-right: 3px;
	pointer-events: none;
	position: relative;
	transition: all 200ms linear;
	width: 100%;
}
.dropdown-sub:checked ~ .section-dropdown-sub
{
	max-height: 999px;
	opacity: 1;
	pointer-events: auto;
}
.section-dropdown-sub a
{
	font-size: 14px;
}
.section-dropdown-sub a .uil
{
	font-size: 20px;
}
.logo
{
	background-color: transparent;
	border-radius: 0;
	display: block;
	left: 40px;
	padding: 0;
	position: fixed;
	top: 50px;
	transition: all 250ms linear;
	z-index: 11000000;
}
.logo:hover
{
	background-color: transparent;
}
.logo img
{
	display: block;
	height: 26px;
	transition: all 200ms linear;
	width: auto;
}
.dark-light:checked ~ .logo img
{
	filter: brightness(10%);
}
@media screen and (max-width: 991px)
{
	.logo
	{
		left: 20px;
		top: 30px;
	}
	.dark-light:checked + label,
	.dark-light:not(:checked) + label
	{
		right: 20px;
		top: 20px;
	}
}
.sk-circle
{
	height: 40px;
	position: relative;
	width: 40px;
}
.sk-circle .sk-child
{
	height: 100%;
	left: 0;
	position: absolute;
	top: 0;
	width: 100%;
}
.sk-circle .sk-child:before
{
	animation: sk-circleBounceDelay 1.2s infinite ease-in-out both;
	background-color: #333;
	border-radius: 100%;
	content: '';
	display: block;
	height: 15%;
	margin: 0 auto;
	webkit-animation: sk-circleBounceDelay 1.2s infinite ease-in-out both;
	width: 15%;
}
.sk-circle .sk-circle2
{
	ms-transform: rotate(30deg);
	transform: rotate(30deg);
	webkit-transform: rotate(30deg);
}
.sk-circle .sk-circle3
{
	ms-transform: rotate(60deg);
	transform: rotate(60deg);
	webkit-transform: rotate(60deg);
}
.sk-circle .sk-circle4
{
	ms-transform: rotate(90deg);
	transform: rotate(90deg);
	webkit-transform: rotate(90deg);
}
.sk-circle .sk-circle5
{
	ms-transform: rotate(120deg);
	transform: rotate(120deg);
	webkit-transform: rotate(120deg);
}
.sk-circle .sk-circle6
{
	ms-transform: rotate(150deg);
	transform: rotate(150deg);
	webkit-transform: rotate(150deg);
}
.sk-circle .sk-circle7
{
	ms-transform: rotate(180deg);
	transform: rotate(180deg);
	webkit-transform: rotate(180deg);
}
.sk-circle .sk-circle8
{
	ms-transform: rotate(210deg);
	transform: rotate(210deg);
	webkit-transform: rotate(210deg);
}
.sk-circle .sk-circle9
{
	ms-transform: rotate(240deg);
	transform: rotate(240deg);
	webkit-transform: rotate(240deg);
}
.sk-circle .sk-circle10
{
	ms-transform: rotate(270deg);
	transform: rotate(270deg);
	webkit-transform: rotate(270deg);
}
.sk-circle .sk-circle11
{
	ms-transform: rotate(300deg);
	transform: rotate(300deg);
	webkit-transform: rotate(300deg);
}
.sk-circle .sk-circle12
{
	ms-transform: rotate(330deg);
	transform: rotate(330deg);
	webkit-transform: rotate(330deg);
}
.sk-circle .sk-circle2:before
{
	animation-delay: -1.1s;
	webkit-animation-delay: -1.1s;
}
.sk-circle .sk-circle3:before
{
	animation-delay: -1s;
	webkit-animation-delay: -1s;
}
.sk-circle .sk-circle4:before
{
	animation-delay: -0.9s;
	webkit-animation-delay: -0.9s;
}
.sk-circle .sk-circle5:before
{
	animation-delay: -0.8s;
	webkit-animation-delay: -0.8s;
}
.sk-circle .sk-circle6:before
{
	animation-delay: -0.7s;
	webkit-animation-delay: -0.7s;
}
.sk-circle .sk-circle7:before
{
	animation-delay: -0.6s;
	webkit-animation-delay: -0.6s;
}
.sk-circle .sk-circle8:before
{
	animation-delay: -0.5s;
	webkit-animation-delay: -0.5s;
}
.sk-circle .sk-circle9:before
{
	animation-delay: -0.4s;
	webkit-animation-delay: -0.4s;
}
.sk-circle .sk-circle10:before
{
	animation-delay: -0.3s;
	webkit-animation-delay: -0.3s;
}
.sk-circle .sk-circle11:before
{
	animation-delay: -0.2s;
	webkit-animation-delay: -0.2s;
}
.sk-circle .sk-circle12:before
{
	animation-delay: -0.1s;
	webkit-animation-delay: -0.1s;
}
@-webkit-keyframes sk-circleBounceDelay
{
	0%, 80%, 100%
	{
		transform: scale(0);
		webkit-transform: scale(0);
	}
	40%
	{
		transform: scale(1);
		webkit-transform: scale(1);
	}
}
@keyframes sk-circleBounceDelay
{
	0%, 80%, 100%
	{
		transform: scale(0);
		webkit-transform: scale(0);
	}
	40%
	{
		transform: scale(1);
		webkit-transform: scale(1);
	}
}
.questionmark .selection
{
	border: 1px solid #c7c7c7;
	border-radius: .375rem;
	margin-bottom: 1em;
	margin-bottom: 1rem;
	padding: .8rem;
}
.questionmark .selection .input[type=radio] .label
{
	border: 1px solid #c7c7c7;
}
.questionmark .selection label
{
	background-color: #ffffff;
	border: 1px solid #555555;
	border-radius: 50%;
	color: #000000;
	cursor: pointer;
	display: inline-block;
	flex: none;
	height: 2rem;
	line-height: 2rem;
	text-align: center;
	width: 2rem;
}
.dropdownbox.dropdown-toggle::after
{
	display: none;
}
.questionmark .selection label:hover
{
	background-color: #102770;
	color: #ffffff;
}
.questionmark .selection input[type=radio]
{
	display: none;
}
.questionmark .selection input[type=radio]:checked ~ label
{
	background-color: #102770;
	color: #ffffff;
}
.question-label:before
{
	background-color: transparent;
	border-radius: 50%;
	content: "";
	height: 2rem;
	left: 0px;
	moz-transition: all 0.15s ease-in-out;
	o-transition: all 0.15s ease-in-out;
	position: absolute;
	top: 0px;
	transition: all 0.15s ease-in-out;
	webkit-transition: all 0.15s ease-in-out;
	width: 2rem;
	z-index: -1;
}
.question-input:checked+.question-label:before
{
	background-color: #102770;
	box-shadow: 0 0 0 0;
	z-index: -1;
}
.question-input:checked+.question-label
{
	border: none !important;
	color: #ffffff !important;
}
.question-label
{
	position: relative;
	z-index: 1;
}
.modal-top-list ul li
{
	font-size: .7rem;
	font-weight: 500;
}
.form-control
{
	border-color: #c7c7c7;
}
.modal-width
{
	width: 800px;
}
.zindex
{
	z-index: 99;
}
.page-link:hover, .pagination .answered a{
  background-color: #314bc8;
  color: #fff;
}
.btn-primary
{
	background: #314bc8;
	border-color: #314bc8;
}
ol.right-part-list{margin-left: -1rem;}
ol.right-part-list li{margin-bottom: 10px;}

/* footer */
.footer-bg-black
{
	background-color: #1e1e1e;
	border-top: 0;
}
footer
{
	background-color: #e6ecf8;
	border-top: 1px dashed;
	padding: 5px 0;
}
.dropdown-menu.dropdown-custom
{
	left: 50% !important;
	transform: translate(-50%, -17%) !important;
	width: 500px;
}
.dropdown .dropdown-menu.dropdown-custom::after
{
	border-left: 14px solid transparent;
	border-right: 14px solid transparent;
	border-top: 14px solid #ffffff;
	bottom: -14px;
	content: "";
	height: 0;
	left: 50%;
	position: absolute;
	transform: translateX(-50%);
	width: 0;
}
li.page-item {
  margin: 0px;
  display: inline-block;
  width: 42px;
  text-align: center;
}
.page-link
{
	border: 1px dashed #555555;
	font-size: .8rem;
	font-weight: 700;
	margin-bottom: 12px;
}
.pagination
{
	display: inline-block;
}
.bg-light1
{
	background-color: #f0f0f0;
	border-bottom: 2px dashed;
	padding: 5px;
}
.small, small
{
	font-size: 0.675em;
}
.box-question.select
{
	border: 1px solid #102770 !important;
}
.box-question.select button
{
	background-color: #102770 !important;
	color: #ffffff;
}
#calculator {
  width: 100%;
  height: 100%;
}
.box-question {
  position: relative;
}
.box-question-label {
  background: #FFF;
  padding: 0.5rem 1rem;
  width: 100%;
  margin-bottom: 1rem;
  border: 1px solid #c7c7c7;
  border-radius: .375rem;
}

input:checked + .box-question-label {
  font-weight: 600;
  border: 2px solid #314bc8;
}
input:checked + .box-question-label .option {
  border-color: transparent;
  background: #314bc8;
  color: #fff;
}
input:checked + .box-question-label .quiz-value{
	color: #090000;
}
.quiz-value .option {
  background: #fff;
  border-radius: 100%;
  min-width: 35px;
  min-height: 35px;
  display: inline-flex;
  color: #555;
  justify-content: center;
  align-items: center;
  margin-right: 1rem;
  border: 1px solid #555;
  font-weight: 600;
}
.quiz-value {
 font-size: 0.9rem;
}
.quiz-value p:last-child {
  margin-bottom: 0rem;
}
.bg-primary{background-color: #e6ecf8 !important;}
.h-87 {
  height: 87vh;
  overflow: auto;
}
.offcanvas.movable-calculator {
  margin: auto;
  display: none;
}
.offcanvas.movable-calculator.show {
  display: flex;
}
.offcanvas.movable-calculator.ui-resizable {
  position: absolute;
}
.flowpaper_viewer_container{height:100%;}
.currentmarker{display:none;}
.active .currentmarker{display:block;}
.active > .page-link {
  background-color: transparent;
  color: #314bc8;
}
.top-70 {
  top: 70% !important;
}
.module img, .question img {
  max-width: 100%;
  height: auto;
}
.question p .remove-highlight, .question li .remove-highlight{display: inline;}
.question, .passage{user-select: none;}
.line-reader {
  position: absolute;
  top: 12.6%;
  left: 10%;
  width: 40%;
  cursor: move;
  user-select: none;
  display:none;
}
.reader-header, .reader-footer {
  background: #1f1f1f;
  padding: 0rem 0.8rem;
}
.reader-header .btn-close{
  opacity:1;
  filter: brightness(0) invert(0.7);
}
.reader-body {
  border: 1rem solid rgba(1, 1, 1, 0.8);
  height: 55px;
  background: rgba(188, 188, 188, 0.1);
}
.topn-30{top: -30px;}
.fs-08{font-size: 0.8rem;}
.hcolor-picker{display:none;}
.bg-hyellow{background:#ffe9a5;}
.bg-hblue{background:#a1d3ff;}
.bg-hpink{background:#fbc2d5;}
.bg-hyellow:hover{background:#ffdb70;}
.bg-hblue:hover{background:#70bcff;}
.bg-hpink:hover{background:#ffa7c4;}
.hcolor-picker .btn {
  width: 30px;
  height: 30px;
}
.hcolor-picker .btn:hover {
 border-color: rgba(var(--bs-dark-rgb),var(--bs-border-opacity)) !important;
}
.box-line-throught{position: relative;}
.box-line-throught:before {content: "";
  background: #232323;
  width: 100%;
  position: absolute;
  height: 1px;
  z-index: 1;
}
.help-block.form-error {
  color: #f00;
  font-size: 0.8rem;
}
#reference-canvas img {
  width: 100% !important;
}
.strikethrough:before {
  position: absolute;
  content: "";
  left: 0;
  top: 50%;
  right: 0;
  border-top: 1px solid;
  border-color: inherit;
  -webkit-transform:rotate(-35deg);
  -moz-transform:rotate(-35deg);
  -ms-transform:rotate(-35deg);
  -o-transform:rotate(-35deg);
  transform:rotate(-35deg);
}
.strike-btn {
   z-index: 2;
}
.strikethrough.btn-secondary {
  background: #314bc8;
  color: #fff;
  border-color: #314bc8;
}
.strikethrough.btn-secondary:before {
	border-color: #fff;
}
.dcg-new-item.dcg-do-not-blur.dcg-action-newinference {
  display: none;
}
.show-inference .dcg-new-item.dcg-do-not-blur.dcg-action-newinference {
  display: block;
}



.act-wrapper{
	background: #e9ecef;
}
.act-wrapper, .act-wrapper p{
	font-size: 0.8rem;
}
.act-wrapper .bg-primary{background-color: #1b3144 !important;}
.act-wrapper .btn-primary{background-color: #1b3144;border-color: #1b3144;}
.act-wrapper .nav-link, .act-wrapper h6, .act-wrapper .question-wrapper .bookmark{
	font-size: 0.8rem;
	font-weight: 600;
}
.act-wrapper .text-light {
  color: rgb(173, 181, 189) !important;
}
.act-wrapper .dropdown-item {
  font-weight: 500;
  font-size: 0.8rem;
}
.h-84 {
  min-height: 84vh;
}
.act-wrapper .strikethrough::before{border:none}
.bg-light-blue {
  background: #e8eef5;
}
.bg-index {
  background: #f8f9fa;
}
.highlight-passage {
  background: #fff3cd;
  text-decoration: none;
  padding: 0.1rem;
  border-bottom: 2px solid #f0a500;
}
.maxh-84 {
  max-height: 84vh;
  overflow: auto;
}
.maxh-88 {
  max-height: 88vh;
  overflow: auto;
}